@article{mosaad2018a,
  author = {Mosaad, Mohamed I. and Elkalashy, Nagy I. and Ashmawy, Mohamed G.},
  doi = {10.1016/j.epsr.2017.09.017},
  editor = {},
  issn = {0378-7796},
  journal = {Electric power systems research, 2018-01, Vol.154, p.452-462},
  keywords = {Adaptive control, Artificial Neural Network (ANN), Artificial neural networks, Controllers, Distributed generation (DG), Electric potential, Electricity generation, Feeders, Genetic Algorithm (GA), Genetic algorithms, Neural networks, Overcurrent, Parameters, PI controller, Proportional integral, Relaying, Reluctance, Switched Reluctance Generation (SRG), Wind energy, Wind power, Wind turbines},
  note = {•Integrating the Switched reluctance generation (SRG) driven by wind into the distribution network.•Introducing an adaptive controller to limit the generator contributing currents during the distribution feeder faults.•The proposed controller mitigated the effect of distributed generation interconnection on the feeder protection coordination.
  This paper proposes an adaptive Proportional Integral (PI) control scheme of interconnected wind turbine-based distributed Switched Reluctance Generation (SRG). The introduced control facilitates the integration of protective relaying coordination of the distribution feeder using Artificial Neural Network (ANN). It adapts the turn-off angle of the SRG by the ANN-PI controller to regulate the injected power (and accordingly limits the injected current) from the generation unit to the network to avoid incorrect overcurrent protection coordination during grid faults. The parameters of the PI control are tuned off-line using Genetic Algorithm (GA) in order to minimize the associated Integral of Square of Error (ISE) between the reference updated power (function of the SRG voltage) and the SRG power over a wide range of abnormal grid conditions. The values of the reference updated power, the voltage level at SRG, and the corresponding optimized PI control parameters by GA are used to off-line training ANN. This proposed ANN-PI controller turns the controller into on-line one. Therefore, the proposed adaptive ANN-PI techniques could, on-line, tune the PI controller parameters for realizing an optimal response and integrating the SRG with the protection coordination by adapting the turn-off angle of SRG. By evaluating the proposed control integration with the protection coordination of an 11kV Egyptian distribution feeder, the results provide evidences of efficient and robust performance of the proposed control for renewable distributed Switched Reluctance Generation either in steady state operation or during faults in distribution feeders.},
  publisher = {Amsterdam: Elsevier B.V},
  title = {Integrating adaptive control of renewable distributed Switched Reluctance Generation and feeder protection coordination},
  url = {https://dx.doi.org/10.1016/j.epsr.2017.09.017},
  year = {2018}
}
